org.richfaces.component

## Enum UIColumnGroup.Properties

- java.lang.Object
- - java.lang.Enum<UIColumnGroup.Properties>
  - - org.richfaces.component.UIColumnGroup.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIColumnGroup.Properties>
  Enclosing class:
    UIColumnGroup

      protected static enum UIColumnGroup.Properties
      extends Enum<UIColumnGroup.Properties>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIColumnGroup.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIColumnGroup.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### values

          public static UIColumnGroup.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIColumnGroup.Properties c : UIColumnGroup.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIColumnGroup.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.